Aggiornamento QGis 1.2

classic Classic list List threaded Threaded
21 messages Options
12
Reply | Threaded
Open this post in threaded view
|

Aggiornamento QGis 1.2

Patti Giuseppe
Buongiorno. Stamattina ho trovato con piacere tra gli aggiornamenti
della mia Ubuntu la versione 1.2 di qgis con le relative dipendenze ma
all'avvio del programma mi becco un bel....../usr/bin/qgis.bin: symbol
lookup error: /usr/lib/libqgisgrass.so.1.2.0: undefined symbol:
G_no_gisinit

Succede a qualcun altro? C'è rimedio?

Saluti
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

pcav
Patti Giuseppe ha scritto:
> all'avvio del programma mi becco un bel....../usr/bin/qgis.bin: symbol
> lookup error: /usr/lib/libqgisgrass.so.1.2.0: undefined symbol:
> G_no_gisinit
>
> Succede a qualcun altro? C'è rimedio?

direi un errore di pacchettizzazione: ahi aggiornato anche grass? se e'
confermato da altri ubuntisti, per piacere scrivi in lista QGIS per far
sistemare il pacchetto.
Grazie.
--
Paolo Cavallini: http://www.faunalia.it/pc
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

Andrea Peri
In reply to this post by Patti Giuseppe
Il sistema di aggiornamento osgeo mi ha portato qgis alla
1.3.0-3, ma non e' scritto cosa e' cambiato. ...


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

enrico lambertini


2009/8/25 Andrea Peri <[hidden email]>
Il sistema di aggiornamento osgeo mi ha portato qgis alla
1.3.0-3, ma non e' scritto cosa e' cambiato. ...

anche a me è arrivato l'aggirnamento, all'avvio continuo a ricevere questo errore

Impossibile caricare PyQt4.
Il supporto Python verrà disabilitato.

Traceback (most recent call last):
  File "", line 1, in
ImportError: DLL load failed: Impossibile trovare la procedura specificata.

Versione Python:
2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Sentiero Python:
['C:/OSGeo4W/apps/qgis-dev/./python', 'C:/Documents and Settings/enrico/.qgis//python/plugins', 'C:/OSGeo4W/apps/qgis-dev/./python/plugins', 'C:\\OSGeo4W\\apps\\gdal-16\\pymod', 'C:\\Programmi\\Python25\\Lib\\site-packages', 'c:\\Programmi\\QGIS-Dev\\python', 'C:\\OSGeo4W\\bin\\python25.zip', 'C:\\OSGeo4W\\apps\\Python25\\DLLs', 'C:\\OSGeo4W\\apps\\Python25\\lib', 'C:\\OSGeo4W\\apps\\Python25\\lib\\plat-win', 'C:\\OSGeo4W\\apps\\Python25\\lib\\lib-tk', 'C:\\OSGeo4W\\apps\\qgis-dev\\bin', 'C:\\OSGeo4W\\apps\\Python25', 'C:\\OSGeo4W\\apps\\Python25\\lib\\site-packages', 'C:\\OSGeo4W\\apps\\Python25\\lib\\site-packages\\win32', 'C:\\OSGeo4W\\apps\\Python25\\lib\\site-packages\\win32\\lib', 'C:\\OSGeo4W\\apps\\Python25\\lib\\site-packages\\Pythonwin', 'C:\\OSGeo4W\\apps\\Python25\\lib\\site-packages\\wx-2.8-msw-unicode']

Ed ovviamnte tutti i plugin scritti in python non funzionano

S.O.: Windows XP

Qualcuno sa come aggirare il problema?
Grazie a tutti

enrico


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

pcav

On Thu, 27 Aug 2009 08:57:56 +0200, Enrico Lambertini <[hidden email]>
wrote:
> Impossibile caricare PyQt4.
> Il supporto Python verrà disabilitato.

> Qualcuno sa come aggirare il problema?

direi che non hai installato il pacchetto qgis-python, o come si chiama in
osgeo4w.
un installer standalone sarebbe piu' comodo, lo so...
:)
--
http://faunalia.it/pc
_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

Andrea Peri
In reply to this post by Patti Giuseppe
>>/ Impossibile caricare PyQt4.
/>>/ Il supporto Python verrà disabilitato.
/
>>/ Qualcuno sa come aggirare il problema?
/
>direi che non hai installato il pacchetto qgis-python, o come si chiama in
>osgeo4w.
>un installer standalone sarebbe piu' comodo, lo so...
>:/)

Ho notato che nell'osgeo4w quando scelgo un prodotto ad esempio qgis, lui abilita automaticamente tutte le
dipendenze spillando automaticamente tutte le voci necessarie.

Se davvero non ti ha installato la libreria qgis-python, puo' significare che tale libreria e' stata tolta dalle dipendenze dalle dipendenze di qgis-trunk ?


Andrea.

/

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

pcav
Il giorno gio, 27/08/2009 alle 17.37 +0200, Andrea Peri 2007 ha scritto:

> Se davvero non ti ha installato la libreria qgis-python, puo' significare che tale libreria e' stata tolta dalle dipendenze dalle dipendenze di qgis-trunk ?

Python non e' una dipendenza *indispensabile*, per questo va selezionata
a parte.
Saluti.
--
http://www.faunalia.it/pc

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

enrico lambertini
In reply to this post by pcav


2009/8/27 paolo <[hidden email]>

On Thu, 27 Aug 2009 08:57:56 +0200, Enrico Lambertini <[hidden email]>
wrote:
> Impossibile caricare PyQt4.
> Il supporto Python verrà disabilitato.

> Qualcuno sa come aggirare il problema?

direi che non hai installato il pacchetto qgis-python, o come si chiama in
osgeo4w.
un installer standalone sarebbe piu' comodo, lo so...
:)
--
http://faunalia.it/pc
il problema è che il pacchetto PyQt4 è installato ... come tutti i pacchetti di python...
inoltre in osgeo python è una dipendenza di qgis-full che è installato..

altri consigli?
grazie
e


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

Andrea Peri
In reply to this post by pcav
Questo spiega perche' non la colloca quando si installa ex-novo.
Ma quando si aggiorna dovrebbe conservare tutte le configurazioni
precedenti, il che vuol dire che
nella versione prec. vi era python, dovrebbe allinearlo anche nella
versione successiva, e non riazzerarlo,
no?

Andrea.


Paolo Cavallini ha scritto:

> Il giorno gio, 27/08/2009 alle 17.37 +0200, Andrea Peri 2007 ha scritto:
>
>  
>> Se davvero non ti ha installato la libreria qgis-python, puo' significare che tale libreria e' stata tolta dalle dipendenze dalle dipendenze di qgis-trunk ?
>>    
>
> Python non e' una dipendenza *indispensabile*, per questo va selezionata
> a parte.
> Saluti.
>  

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

Andrea Peri
In reply to this post by Patti Giuseppe
>il problema è che il pacchetto PyQt4 è installato ... come tutti i pacchetti
>di python...
>inoltre in osgeo python è una dipendenza di qgis-full che è installato..
>
>altri consigli?
>grazie
>e

Io posso solo fornirti l'elenco di quello che mi trovo installato secondol'elenco di osgeo4w (su windows vista a 32bit):

magari vedi se ti manca qualcosa ....

Tempo addietro ebbi anche io qualche problema, ma deselezionai tutto.
Cosi' facendo, di fatto, osgeo4w rimuove tutto.
Poi riselezionai quello che volevo e osgeo4w mi ri-installo tutto. Cosi' risolsi.

[commandlines[:
curl
gdal
gdal16
libgeotiff
libpq
msys
netcdf
proj
python

[Desktop[:
grass
qgis
qgis-dev

[Libs]:
curl
expat
fftw
freetype-mingw
gdal 1.5.4-2
gdal-grass
gdal16 : 1.6.1-3
gdal16-grass
geos
grass-devel
gsl-libs
hdf4
hdf5
iconv
libgeotiff
libjpeg
linjpeg12
libmysql
libpng
libpq
libtiff
msvcrt
netcdf
ogdi
openssl
pdcurses
proj
psycopg2
pyopengl
pyqt4
python-numpy
python-qgis
python-rpy2
python-win32 (2.12-1)
qt4-libs
sip
sqlite3
tcltk
wxpython
xerces-c
zlib




Andrea.


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

enrico lambertini
ho rimosso completamente la cartella di osgeo e re-installato tutto, stesso errore.

qualcuno a cui funziona mi potrebbe mandare in pvt i file della cartella /etc/ini e i file *.bat della cartella /bin ?

inizio a pensare che sia più un problema di percori che di altro...

questo è l'output dell'avvio del porgramma:

C:\OSGeo4W\bin>qgis.bat

C:\OSGeo4W\bin>call "C:\OSGeo4W"\bin\gdal16.bat

C:\OSGeo4W\bin>SET GDAL_DATA=C:\OSGeo4W\apps\gdal-16\share\gdal

C:\OSGeo4W\bin>SET QT_PLUGIN_PATH=C:\OSGeo4W\apps\Qt4\plugins

C:\OSGeo4W\bin>SET PYTHONHOME=C:\OSGeo4W\apps\Python25

C:\OSGeo4W\bin>SET GDAL_DRIVER_PATH=C:\OSGeo4W\apps\gdal-16\bin\gdalplugins

C:\OSGeo4W\bin>SET PYTHONPATH=C:\OSGeo4W\apps\gdal-16\pymod;C:\OSGeo4W\apps\gdal-16\pymod;C:\OSGeo4W\apps\gdal-16\pymod;C:\OSGeo4W\apps\gdal-16\pymod;
C:\Programmi\Python25\Lib\site-packages;c:\Programmi\QGIS-Dev\python

C:\OSGeo4W\bin>PATH=C:\OSGeo4W\apps\gdal-16\bin;C:\OSGeo4W\apps\gdal-16\bin;C:\OSGeo4W\bin;C:\OSGeo4W\apps\gdal-16\bin;C:\OSGeo4W\apps\gdal-16\bin;C:\
OSGeo4W\bin;C:\Programmi\Python26\Lib\site-packages\PyQt4;C:\Programmi\PC Connectivity Solution\;C:\Programmi\QGIS-Dev\lib\;C:\WINDOWS\system32;C:\WIN
DOWS;C:\WINDOWS\System32\Wbem;C:\Programmi\ATI Technologies\ATI Control Panel;C:\Programmi\Autodesk\Backburner\;C:\Programmi\File comuni\GTK\2.0\bin;C
:\Programmi\Python25\;C:\Programmi\QGIS-Dev\plugins;C:\Programmi\QGIS-Dev\;C:\strawberry\c\bin;C:\strawberry\perl\bin;C:\Programmi\File comuni\DivX Sh
ared\;d:\file_esterni\shortcut;c:\Programmi\gs\gs8.64\lib;C:\Programmi\gs\gs8.64\bin;C:\OSGeo4W\apps\msys\bin;C:\Programmi\ctrtool-20081206;C:\Program
mi\Python26\Lib;C:\Programmi\File comuni\Ahead\Lib\;C:\OSGeo4W\apps\msys\bin;C:\OSGeo4W\apps\grass\grass-6.4.0svn\bin;C:\OSGeo4W\apps\msys\bin

grazie a tutti

e.l.

2009/8/27 Andrea Peri <[hidden email]>
>il problema è che il pacchetto PyQt4 è installato ... come tutti i pacchetti
>di python...
>inoltre in osgeo python è una dipendenza di qgis-full che è installato..
>
>altri consigli?
>grazie
>e

Io posso solo fornirti l'elenco di quello che mi trovo installato secondol'elenco di osgeo4w (su windows vista a 32bit):

magari vedi se ti manca qualcosa ....

Tempo addietro ebbi anche io qualche problema, ma deselezionai tutto.
Cosi' facendo, di fatto, osgeo4w rimuove tutto.
Poi riselezionai quello che volevo e osgeo4w mi ri-installo tutto. Cosi' risolsi.

[commandlines[:
curl
gdal
gdal16
libgeotiff
libpq
msys
netcdf
proj
python

[Desktop[:
grass
qgis
qgis-dev

[Libs]:
curl
expat
fftw
freetype-mingw
gdal 1.5.4-2
gdal-grass
gdal16 : 1.6.1-3
gdal16-grass
geos
grass-devel
gsl-libs
hdf4
hdf5
iconv
libgeotiff
libjpeg
linjpeg12
libmysql
libpng
libpq
libtiff
msvcrt
netcdf
ogdi
openssl
pdcurses
proj
psycopg2
pyopengl
pyqt4
python-numpy
python-qgis
python-rpy2
python-win32 (2.12-1)
qt4-libs
sip
sqlite3
tcltk
wxpython
xerces-c
zlib




Andrea.


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

giohappy
Hai provato ad aprire la console python (di osgeo4w, ovviamente) per verificare che, al di là di qgis, pyqt4 funzioni? Tipo con un semplice 'from qt import *'...

giovanni

Il giorno 28 agosto 2009 09.29, Enrico Lambertini <[hidden email]> ha scritto:
ho rimosso completamente la cartella di osgeo e re-installato tutto, stesso errore.

qualcuno a cui funziona mi potrebbe mandare in pvt i file della cartella /etc/ini e i file *.bat della cartella /bin ?

inizio a pensare che sia più un problema di percori che di altro...

questo è l'output dell'avvio del porgramma:

C:\OSGeo4W\bin>qgis.bat

C:\OSGeo4W\bin>call "C:\OSGeo4W"\bin\gdal16.bat

C:\OSGeo4W\bin>SET GDAL_DATA=C:\OSGeo4W\apps\gdal-16\share\gdal

C:\OSGeo4W\bin>SET QT_PLUGIN_PATH=C:\OSGeo4W\apps\Qt4\plugins

C:\OSGeo4W\bin>SET PYTHONHOME=C:\OSGeo4W\apps\Python25

C:\OSGeo4W\bin>SET GDAL_DRIVER_PATH=C:\OSGeo4W\apps\gdal-16\bin\gdalplugins

C:\OSGeo4W\bin>SET PYTHONPATH=C:\OSGeo4W\apps\gdal-16\pymod;C:\OSGeo4W\apps\gdal-16\pymod;C:\OSGeo4W\apps\gdal-16\pymod;C:\OSGeo4W\apps\gdal-16\pymod;
C:\Programmi\Python25\Lib\site-packages;c:\Programmi\QGIS-Dev\python

C:\OSGeo4W\bin>PATH=C:\OSGeo4W\apps\gdal-16\bin;C:\OSGeo4W\apps\gdal-16\bin;C:\OSGeo4W\bin;C:\OSGeo4W\apps\gdal-16\bin;C:\OSGeo4W\apps\gdal-16\bin;C:\
OSGeo4W\bin;C:\Programmi\Python26\Lib\site-packages\PyQt4;C:\Programmi\PC Connectivity Solution\;C:\Programmi\QGIS-Dev\lib\;C:\WINDOWS\system32;C:\WIN
DOWS;C:\WINDOWS\System32\Wbem;C:\Programmi\ATI Technologies\ATI Control Panel;C:\Programmi\Autodesk\Backburner\;C:\Programmi\File comuni\GTK\2.0\bin;C
:\Programmi\Python25\;C:\Programmi\QGIS-Dev\plugins;C:\Programmi\QGIS-Dev\;C:\strawberry\c\bin;C:\strawberry\perl\bin;C:\Programmi\File comuni\DivX Sh
ared\;d:\file_esterni\shortcut;c:\Programmi\gs\gs8.64\lib;C:\Programmi\gs\gs8.64\bin;C:\OSGeo4W\apps\msys\bin;C:\Programmi\ctrtool-20081206;C:\Program
mi\Python26\Lib;C:\Programmi\File comuni\Ahead\Lib\;C:\OSGeo4W\apps\msys\bin;C:\OSGeo4W\apps\grass\grass-6.4.0svn\bin;C:\OSGeo4W\apps\msys\bin

grazie a tutti

e.l.

2009/8/27 Andrea Peri <[hidden email]>
>il problema è che il pacchetto PyQt4 è installato ... come tutti i pacchetti
>di python...
>inoltre in osgeo python è una dipendenza di qgis-full che è installato..
>
>altri consigli?
>grazie
>e

Io posso solo fornirti l'elenco di quello che mi trovo installato secondol'elenco di osgeo4w (su windows vista a 32bit):

magari vedi se ti manca qualcosa ....

Tempo addietro ebbi anche io qualche problema, ma deselezionai tutto.
Cosi' facendo, di fatto, osgeo4w rimuove tutto.
Poi riselezionai quello che volevo e osgeo4w mi ri-installo tutto. Cosi' risolsi.

[commandlines[:
curl
gdal
gdal16
libgeotiff
libpq
msys
netcdf
proj
python

[Desktop[:
grass
qgis
qgis-dev

[Libs]:
curl
expat
fftw
freetype-mingw
gdal 1.5.4-2
gdal-grass
gdal16 : 1.6.1-3
gdal16-grass
geos
grass-devel
gsl-libs
hdf4
hdf5
iconv
libgeotiff
libjpeg
linjpeg12
libmysql
libpng
libpq
libtiff
msvcrt
netcdf
ogdi
openssl
pdcurses
proj
psycopg2
pyopengl
pyqt4
python-numpy
python-qgis
python-rpy2
python-win32 (2.12-1)
qt4-libs
sip
sqlite3
tcltk
wxpython
xerces-c
zlib




Andrea.


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

enrico lambertini


2009/8/28 G. Allegri <[hidden email]>
Hai provato ad aprire la console python (di osgeo4w, ovviamente) per verificare che, al di là di qgis, pyqt4 funzioni? Tipo con un semplice 'from qt import *'...

giovanni

appunto, penso che nei vari path di variabili manchi qualcosa...

from qt import *

C:\OSGeo4W\bin>python.exe
Python 2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> from qt import *
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named qt
>>>


quindi in teoria non trova il path di qt, il problema è qual'è il file che contiene un errore e nonostante le re-installazioni continua ad essere sbagliato e quale è la variabile d'ambiente da settare?

grazie

e.l.

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

giohappy
scusami enrico, volevo dire 'from PyQt4.QtCore import *'


Il giorno 28 agosto 2009 10.04, Enrico Lambertini <[hidden email]> ha scritto:


2009/8/28 G. Allegri <[hidden email]>

Hai provato ad aprire la console python (di osgeo4w, ovviamente) per verificare che, al di là di qgis, pyqt4 funzioni? Tipo con un semplice 'from qt import *'...

giovanni

appunto, penso che nei vari path di variabili manchi qualcosa...

from qt import *

C:\OSGeo4W\bin>python.exe
Python 2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)] on win32
Type "help", "copyright", "credits" or "license" for more information.
>>> from qt import *
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: No module named qt
>>>


quindi in teoria non trova il path di qt, il problema è qual'è il file che contiene un errore e nonostante le re-installazioni continua ad essere sbagliato e quale è la variabile d'ambiente da settare?

grazie

e.l.

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

enrico lambertini
2009/8/28 G. Allegri <[hidden email]>
scusami enrico, volevo dire 'from PyQt4.QtCore import *'

grazie del supporto, si procede...
ora in una finestra mi da l'errore:
 "Impossibile trovare il punto di ingresso _Z10forcepointR11QTextStream della porcedura nella libreria di collegamento dinamico QtCore4.dll"

e sulla shell:

>>> from PyQt4.QtCore import *
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: DLL load failed: Impossibile trovare la procedura specificata.
>>>

la qual cosa potrebbe già essere un passo avanti se sapessi dove mettere le mani...

ciao e grazie

e.



_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

giohappy
per caso hai qt installato anche sulla macchina? intendo fuori da osgeo4w

Il giorno 28 agosto 2009 10.44, Enrico Lambertini <[hidden email]> ha scritto:
2009/8/28 G. Allegri <[hidden email]>
scusami enrico, volevo dire 'from PyQt4.QtCore import *'

grazie del supporto, si procede...
ora in una finestra mi da l'errore:
 "Impossibile trovare il punto di ingresso _Z10forcepointR11QTextStream della porcedura nella libreria di collegamento dinamico QtCore4.dll"

e sulla shell:

>>> from PyQt4.QtCore import *

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: DLL load failed: Impossibile trovare la procedura specificata.
>>>

la qual cosa potrebbe già essere un passo avanti se sapessi dove mettere le mani...

ciao e grazie

e.




_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

enrico lambertini
no, fuori da osgeo ho installato solo python 2.6.

ho porvato a farlo adesso e a copiare i file all'interno dell'install di osgeo.
in questo modo da shell di python non ho errori nel fare "from PyQt4.QtCore import *"
ma quando avvio qgis mi ritorna 
"Impossibile trovare il punto di ingresso ?error@QFile@@QBE?AW4FileError@1@XZ della porcedura nella libreria di collegamento dinamico QtCore4.dll"
e non si avvia proprio.

e.

2009/8/28 G. Allegri <[hidden email]>
per caso hai qt installato anche sulla macchina? intendo fuori da osgeo4w

Il giorno 28 agosto 2009 10.44, Enrico Lambertini <[hidden email]> ha scritto:

2009/8/28 G. Allegri <[hidden email]>
scusami enrico, volevo dire 'from PyQt4.QtCore import *'

grazie del supporto, si procede...
ora in una finestra mi da l'errore:
 "Impossibile trovare il punto di ingresso _Z10forcepointR11QTextStream della porcedura nella libreria di collegamento dinamico QtCore4.dll"

e sulla shell:

>>> from PyQt4.QtCore import *

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: DLL load failed: Impossibile trovare la procedura specificata.
>>>

la qual cosa potrebbe già essere un passo avanti se sapessi dove mettere le mani...

ciao e grazie

e.





_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

giohappy
andiamo per ordine.
tu hai python 2.6 fuori da osgeo4w. Intanto disintalla le pyqt4 dal sistema (quelle che hai appena installato), sennò c'incasiniamo (quanto installi qt e pyqt vengono scritti nel registro e nel PATH, e spesso hanno precedenza su quelle di osgeo4w...).
con osgeo4w io ho:

 - python 2-5-2-1
 - python-qgis 1.0.2-1
 - pyqt4 4.5.2-5
 - qt4-libs 4.5.2-1

e tu?

Il giorno 28 agosto 2009 11.18, Enrico Lambertini <[hidden email]> ha scritto:
no, fuori da osgeo ho installato solo python 2.6.

ho porvato a farlo adesso e a copiare i file all'interno dell'install di osgeo.
in questo modo da shell di python non ho errori nel fare "from PyQt4.QtCore import *"
ma quando avvio qgis mi ritorna 
"Impossibile trovare il punto di ingresso ?error@QFile@@QBE?AW4FileError@1@XZ della porcedura nella libreria di collegamento dinamico QtCore4.dll"
e non si avvia proprio.

e.


2009/8/28 G. Allegri <[hidden email]>
per caso hai qt installato anche sulla macchina? intendo fuori da osgeo4w

Il giorno 28 agosto 2009 10.44, Enrico Lambertini <[hidden email]> ha scritto:

2009/8/28 G. Allegri <[hidden email]>
scusami enrico, volevo dire 'from PyQt4.QtCore import *'

grazie del supporto, si procede...
ora in una finestra mi da l'errore:
 "Impossibile trovare il punto di ingresso _Z10forcepointR11QTextStream della porcedura nella libreria di collegamento dinamico QtCore4.dll"

e sulla shell:

>>> from PyQt4.QtCore import *

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
ImportError: DLL load failed: Impossibile trovare la procedura specificata.
>>>

la qual cosa potrebbe già essere un passo avanti se sapessi dove mettere le mani...

ciao e grazie

e.






_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

enrico lambertini


2009/8/28 G. Allegri <[hidden email]>
andiamo per ordine.
tu hai python 2.6 fuori da osgeo4w. Intanto disintalla le pyqt4 dal sistema (quelle che hai appena installato), sennò c'incasiniamo (quanto installi qt e pyqt vengono scritti nel registro e nel PATH, e spesso hanno precedenza su quelle di osgeo4w...).
con osgeo4w io ho:

 - python 2-5-2-1
 - python-qgis 1.0.2-1
 - pyqt4 4.5.2-5
 - qt4-libs 4.5.2-1

e tu?
 
disisnstallato e riavviato per pulire il registro..

uguale, solo python-qgis l'ho agiornato alla 1.0.2-2, ma i problemi c'erano già  da molto prima...

e.

_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
Reply | Threaded
Open this post in threaded view
|

Re: Aggiornamento QGis 1.2

enrico lambertini
RISOLTO, RISOLTO!!!! :-)

avendo disistallato python 2.5 molto tempo fa era rimasto il path nelle variabili d'ambiente, rimuovendo quello va tutto ok

grazie

e.


2009/8/28 Enrico Lambertini <[hidden email]>


2009/8/28 G. Allegri <[hidden email]>
andiamo per ordine.

tu hai python 2.6 fuori da osgeo4w. Intanto disintalla le pyqt4 dal sistema (quelle che hai appena installato), sennò c'incasiniamo (quanto installi qt e pyqt vengono scritti nel registro e nel PATH, e spesso hanno precedenza su quelle di osgeo4w...).
con osgeo4w io ho:

 - python 2-5-2-1
 - python-qgis 1.0.2-1
 - pyqt4 4.5.2-5
 - qt4-libs 4.5.2-1

e tu?
 
disisnstallato e riavviato per pulire il registro..

uguale, solo python-qgis l'ho agiornato alla 1.0.2-2, ma i problemi c'erano già  da molto prima...

e.


_______________________________________________
Iscriviti all'associazione GFOSS.it: http://www.gfoss.it/drupal/iscrizione
[hidden email]
http://lists.faunalia.it/cgi-bin/mailman/listinfo/gfoss
Questa e' una lista di discussione pubblica aperta a tutti.
I messaggi di questa lista non rispecchiano necessariamente
le posizioni dell'Associazione GFOSS.it.
12